> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evaluation Criteria

> 
Retrieve all evaluation criteria in a project. Use to discover available criteria or build criteria management UIs.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/evaluation-criteria
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/evaluation-criteria:
    get:
      tags:
        - Evaluation Criteria
      summary: List Evaluation Criteria
      description: >-

        Retrieve all evaluation criteria in a project. Use to discover available
        criteria or build criteria management UIs.


        `page_size` defaults to 30, maximum 100.
      operationId: get_list_evaluation_criteria
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/EvaluationCriteriaInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: EvaluationCriteriaListResponse
                type: object
          description: >-
            EvaluationCriteriaListResponse(data:
            list[server.api_routes.evaluation_criteria_api_v2.EvaluationCriteriaInfo],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    EvaluationCriteriaInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        type:
          title: Type
          type: string
        target_type:
          $ref: '#/components/schemas/TargetType'
        target_id:
          format: uuid
          title: Target Id
          type: string
        latest_version_id:
          title: Latest Version Id
          format: uuid
          type:
            - string
            - 'null'
        is_enabled:
          title: Is Enabled
          type: boolean
        llm_eval_enabled:
          title: Llm Eval Enabled
          type: boolean
      required:
        - id
        - name
        - type
        - target_type
        - target_id
        - latest_version_id
        - is_enabled
        - llm_eval_enabled
      title: EvaluationCriteriaInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    TargetType:
      enum:
        - prompt
        - agent
      title: TargetType
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````